MyGUI: MyGUI::IItemContainer Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::IItemContainer Class Reference

`#include <MyGUI_IItemContainer.h>`

Inheritance diagram for MyGUI::IItemContainer:
[legend]

## Public Member Functions
| IItemContainer ()
virtual | ~IItemContainer ()
virtual size_t | _getItemCount ()
virtual void | _addItem (const MyGUI::UString &_name)
virtual void | _removeItemAt (size_t _index)
virtual Widget * | _getItemAt (size_t _index)
virtual void | _setItemNameAt (size_t _index, const UString &_name)
virtual const UString & | _getItemNameAt (size_t _index)
virtual void | _setItemSelected (IItem *_item)

## Detailed Description

Definition at line 18 of file MyGUI_IItemContainer.h.

## Constructor & Destructor Documentation

## ◆ IItemContainer()

MyGUI::IItemContainer::IItemContainer | ( |  | ) |
| inline

Definition at line 21 of file MyGUI_IItemContainer.h.

## ◆ ~IItemContainer()

virtual MyGUI::IItemContainer::~IItemContainer | ( |  | ) |
| inlinevirtual

Definition at line 22 of file MyGUI_IItemContainer.h.

## Member Function Documentation

## ◆ _addItem()

virtual void MyGUI::IItemContainer::_addItem | ( | const MyGUI::UString & | _name | ) |
| inlinevirtual

Reimplemented in MyGUI::MultiListBox, MyGUI::MenuControl, MyGUI::ListBox, MyGUI::TabControl, and MyGUI::ComboBox.

Definition at line 29 of file MyGUI_IItemContainer.h.

## ◆ _getItemAt()

virtual Widget* MyGUI::IItemContainer::_getItemAt | ( | size_t | _index | ) |
| inlinevirtual

Reimplemented in MyGUI::MultiListBox, MyGUI::MenuControl, and MyGUI::TabControl.

Definition at line 33 of file MyGUI_IItemContainer.h.

## ◆ _getItemCount()

virtual size_t MyGUI::IItemContainer::_getItemCount | ( |  | ) |
| inlinevirtual

Reimplemented in MyGUI::MultiListBox, MyGUI::MenuControl, MyGUI::ListBox, MyGUI::TabControl, and MyGUI::ComboBox.

Definition at line 24 of file MyGUI_IItemContainer.h.

## ◆ _getItemNameAt()

virtual const UString& MyGUI::IItemContainer::_getItemNameAt | ( | size_t | _index | ) |
| inlinevirtual

Reimplemented in MyGUI::MultiListBox, MyGUI::MenuControl, MyGUI::ListBox, MyGUI::TabControl, and MyGUI::ComboBox.

Definition at line 39 of file MyGUI_IItemContainer.h.

## ◆ _removeItemAt()

virtual void MyGUI::IItemContainer::_removeItemAt | ( | size_t | _index | ) |
| inlinevirtual

Reimplemented in MyGUI::MultiListBox, MyGUI::MenuControl, MyGUI::ListBox, MyGUI::TabControl, and MyGUI::ComboBox.

Definition at line 31 of file MyGUI_IItemContainer.h.

## ◆ _setItemNameAt()

virtual void MyGUI::IItemContainer::_setItemNameAt | ( | size_t | _index,
|  | const UString & | _name
| ) |  |
| inlinevirtual

Reimplemented in MyGUI::MultiListBox, MyGUI::MenuControl, MyGUI::ListBox, MyGUI::TabControl, and MyGUI::ComboBox.

Definition at line 38 of file MyGUI_IItemContainer.h.

## ◆ _setItemSelected()

virtual void MyGUI::IItemContainer::_setItemSelected | ( | IItem * | _item | ) |
| inlinevirtual

Reimplemented in MyGUI::MenuControl.

Definition at line 44 of file MyGUI_IItemContainer.h.

The documentation for this class was generated from the following file:

- MyGUI_IItemContainer.h